import { SdkContext, SdkHttpOperation, SdkServiceMethod } from "@azure-tools/typespec-client-generator-core";
import { NetEmitterOptions } from "../options.js";
import { InputConstant } from "../type/input-constant.js";
import { InputOperation } from "../type/input-operation.js";
import { InputType } from "../type/input-type.js";
import { SdkTypeMap } from "../type/sdk-type-map.js";
export declare function fromSdkServiceMethod(method: SdkServiceMethod<SdkHttpOperation>, uri: string, rootApiVersions: string[], sdkContext: SdkContext<NetEmitterOptions>, typeMap: SdkTypeMap): InputOperation;
export declare function getParameterDefaultValue(clientDefaultValue: any, parameterType: InputType): InputConstant | undefined;
//# sourceMappingURL=operation-converter.d.ts.map