export declare const reportDiagnostic: <C extends "no-apiVersion" | "no-route" | "invalid-name" | "general-warning" | "general-error" | "no-root-client", M extends keyof {
    "no-apiVersion": {
        readonly default: import("@typespec/compiler").CallableMessage<["service"]>;
    };
    "no-route": {
        readonly default: import("@typespec/compiler").CallableMessage<["service"]>;
    };
    "invalid-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["name"]>;
    };
    "general-warning": {
        readonly default: import("@typespec/compiler").CallableMessage<["message"]>;
    };
    "general-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["message"]>;
    };
    "no-root-client": {
        readonly default: "Cannot generate CSharp SDK since no public root client is defined in typespec file.";
    };
}[C]>(program: import("@typespec/compiler").Program, diag: import("@typespec/compiler").DiagnosticReport<{
    "no-apiVersion": {
        readonly default: import("@typespec/compiler").CallableMessage<["service"]>;
    };
    "no-route": {
        readonly default: import("@typespec/compiler").CallableMessage<["service"]>;
    };
    "invalid-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["name"]>;
    };
    "general-warning": {
        readonly default: import("@typespec/compiler").CallableMessage<["message"]>;
    };
    "general-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["message"]>;
    };
    "no-root-client": {
        readonly default: "Cannot generate CSharp SDK since no public root client is defined in typespec file.";
    };
}, C, M>) => void, createDiagnostic: <C extends "no-apiVersion" | "no-route" | "invalid-name" | "general-warning" | "general-error" | "no-root-client", M extends keyof {
    "no-apiVersion": {
        readonly default: import("@typespec/compiler").CallableMessage<["service"]>;
    };
    "no-route": {
        readonly default: import("@typespec/compiler").CallableMessage<["service"]>;
    };
    "invalid-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["name"]>;
    };
    "general-warning": {
        readonly default: import("@typespec/compiler").CallableMessage<["message"]>;
    };
    "general-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["message"]>;
    };
    "no-root-client": {
        readonly default: "Cannot generate CSharp SDK since no public root client is defined in typespec file.";
    };
}[C]>(diag: import("@typespec/compiler").DiagnosticReport<{
    "no-apiVersion": {
        readonly default: import("@typespec/compiler").CallableMessage<["service"]>;
    };
    "no-route": {
        readonly default: import("@typespec/compiler").CallableMessage<["service"]>;
    };
    "invalid-name": {
        readonly default: import("@typespec/compiler").CallableMessage<["name"]>;
    };
    "general-warning": {
        readonly default: import("@typespec/compiler").CallableMessage<["message"]>;
    };
    "general-error": {
        readonly default: import("@typespec/compiler").CallableMessage<["message"]>;
    };
    "no-root-client": {
        readonly default: "Cannot generate CSharp SDK since no public root client is defined in typespec file.";
    };
}, C, M>) => import("@typespec/compiler").Diagnostic, getTracer: (program: import("@typespec/compiler").Program) => import("@typespec/compiler").Tracer;
//# sourceMappingURL=lib.d.ts.map